### Method

# Gio TlsCertificate get_not_valid_after

since: 2.70

#### Declaration

    GDateTime*
    g_tls_certificate_get_not_valid_after (
      GTlsCertificate* cert
    )

#### Description

Returns the time at which the certificate became or will become invalid.

Available since: 2.70

Gets property | `Gio.TlsCertificate:not-valid-after`

#### Return value

Type: `GDateTime`

The not-valid-after date, or `NULL` if it’s not available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.